%define major     1
%define girmajor  0.1
%define libname   %mklibname appindicator 3 %{major}
%define libdevel  %mklibname appindicator3 -d
%define girname   %mklibname appindicator3-gir %{girmajor}

Name:           libappindicator
Summary:        A library to allow applications to export a menu into the Unity Menu bar
Group:          System/Libraries
Version:        12.10.0
Release:        %mkrel 3
License:        GPLv3
URL:            http://launchpad.net/libappindicator
Source0:        http://launchpad.net/libappindicator/12.10/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:         libappindicator-mono-nunit-fix.patch
Patch1:         libappindicator-0.4.92-configure.patch
Patch2:         libappindicator-12.10.0-no-werror.patch
#--------------------------------------------
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: perl-XML-SAX
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: vala
BuildRequires: mono
BuildRequires: mono-nunit
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbusmenu-glib-devel
BuildRequires: %{_lib}dbusmenu-gtk-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}indicator3-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
#--------------------------------------------


%description
A library to allow applications to export a menu into the Unity Menu bar.
Based on KSNI, it also works in KDE, and will fallback to generic Systray
support, if none of those are available.

#--------------------------------------------------------------------
%package -n %{libname}
Summary:        libappindicator library
Group:          System/Libraries

%description -n %{libname}
Library for libappindicator.

#--------------------------------------------------------------------
%package -n %{name}-sharp
Summary:        libappindicator tool
Group:          System/Libraries

%description -n %{name}-sharp
Tool to load libappindicator plugins.

#--------------------------------------------------------------------
%package -n %{libdevel}
Summary:        libappindicator development files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libdevel}
Development files needed by libappindicator.


#--------------------------------------------------------------------
%package -n python-appindicator
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
Requires:       %{libname}

%description -n python-appindicator
This package contains the Python 2 bindings for the appindicator library.



%prep
%setup -q


%build

pushd build-gtk2
%apply_patches
autoreconf -vfi
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure --with-gtk=2 --enable-gtk-doc --disable-static
# Parallel make, crash the build
make -j1 V=1
popd


pushd build-gtk3
%apply_patches
autoreconf -vfi
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
%configure --with-gtk=3 --enable-gtk-doc --disable-static
# Parallel make, crash the build
make -j1 V=1
popd


%install
rm -rf %buildroot

pushd build-gtk2
make install DESTDIR=%{buildroot}
popd

pushd build-gtk3
make install DESTDIR=%{buildroot}
popd

# Clean .la files
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libappindicator3.so.%{major}
%{_libdir}/libappindicator3.so.%{major}.*
%{_libdir}/girepository-1.0/AppIndicator3-%{girmajor}.typelib
%{_libdir}/girepository-1.0/AppIndicator-0.1.typelib
%{_libdir}/libappindicator.so.*
   
%files -n %{name}-sharp
%{_libdir}/cli/appindicator-sharp-0.1/
%{_usr}/lib/mono/appindicator-sharp/
%{_usr}/lib/mono/gac/appindicator-sharp/
%{_usr}/lib/mono/gac/policy.0.0.appindicator-sharp/

%files -n %{libdevel}
%doc %{_datadir}/gtk-doc/html/libappindicator/
%{_includedir}/libappindicator3-0.1/
%{_libdir}/libappindicator3.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/gir-1.0/AppIndicator-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.*
%{_datadir}/vala/vapi/appindicator-0.1.*
%{_includedir}/libappindicator-0.1/
%{_libdir}/libappindicator.so

%files -n python-appindicator
%{_libdir}/python2.7/site-packages/appindicator/__init__.py
%{_libdir}/python2.7/site-packages/appindicator/__init__.pyc
%{_libdir}/python2.7/site-packages/appindicator/__init__.pyo
%{_libdir}/python2.7/site-packages/appindicator/_appindicator.so
%{_datadir}/pygtk/2.0/defs/appindicator.defs   


%changelog
* Sat May 02 2015 bb <bb> 12.10.0-3pclos2015
- move appindicator-sharp-0.1 to sharp package

* Fri May 01 2015 bb <bb> 12.10.0-2pclos2015
- build with gtk2 and gtk3 for python module

* Mon Nov 10 2014 bb <bb> 12.10.0-1pclos2014
- import into pclos
